io.netty.handler.codec.mqtt

## Class MqttProperties.StringProperty

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.MqttProperty<String>
  - - io.netty.handler.codec.mqtt.MqttProperties.StringProperty

Enclosing class:
  MqttProperties

    public static final class MqttProperties.StringProperty
    extends MqttProperties.MqttProperty<String>

### Constructor Summary

Constructors
Constructor and Description
`StringProperty(int propertyId, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttProperties.MqttProperty

`equals, hashCode, propertyId, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringProperty

    public StringProperty(int propertyId,
                          String value)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`